package com.tofly.ghrq_route.module.pipeAnalyze.domain;

import java.util.List;

/**
 * Created by li on 2017/1/10.
 */

public class PipeAnalysisResultBean {

    /**
     * code : 10000
     * error : null
     * message : 爆管分析成功！
     * result : {"selectedfeature":"中压管线:14239","summary":{"layersummary":[{"count":9,"geometrytype":"esriGeometryPoint","layerdbname":"VALVE","layername":"阀门","length":0},{"count":142,"geometrytype":"esriGeometryPoint","layerdbname":"BOOSTER","layername":"调压设备","length":0},{"count":966,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONMP","layername":"中压管线","length":0.10937357393880166},{"count":421,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONLP","layername":"低压管线","length":0.018160165053658743}],"xmax":106.52148562800005,"xmin":106.50476845400004,"ymax":29.58796129800004,"ymin":29.579476493000072}}
     * timecost : 6055
     */

    private int code;
    private String error;
    private String message;
    private ResultBean result;
    private int timecost;
    private String jobId;
    @Override
    public String toString() {
        return "PipeAnalysisResultBean{" +
                "code=" + code +
                ", error=" + error +
                ", message='" + message + '\'' +
                ", result=" + result +
                ", timecost=" + timecost +
                '}';
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public ResultBean getResult() {
        return result;
    }

    public void setResult(ResultBean result) {
        this.result = result;
    }

    public int getTimecost() {
        return timecost;
    }

    public void setTimecost(int timecost) {
        this.timecost = timecost;
    }

    public static class ResultBean {
        /**
         * selectedfeature : 中压管线:14239
         * summary : {"layersummary":[{"count":9,"geometrytype":"esriGeometryPoint","layerdbname":"VALVE","layername":"阀门","length":0},{"count":142,"geometrytype":"esriGeometryPoint","layerdbname":"BOOSTER","layername":"调压设备","length":0},{"count":966,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONMP","layername":"中压管线","length":0.10937357393880166},{"count":421,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONLP","layername":"低压管线","length":0.018160165053658743}],"xmax":106.52148562800005,"xmin":106.50476845400004,"ymax":29.58796129800004,"ymin":29.579476493000072}
         */

        private String selectedfeature;
        private SummaryBean summary;

        public String getSelectedfeature() {
            return selectedfeature;
        }

        public void setSelectedfeature(String selectedfeature) {
            this.selectedfeature = selectedfeature;
        }

        public SummaryBean getSummary() {
            return summary;
        }

        public void setSummary(SummaryBean summary) {
            this.summary = summary;
        }

        public static class SummaryBean {
            /**
             * layersummary : [{"count":9,"geometrytype":"esriGeometryPoint","layerdbname":"VALVE","layername":"阀门","length":0},{"count":142,"geometrytype":"esriGeometryPoint","layerdbname":"BOOSTER","layername":"调压设备","length":0},{"count":966,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONMP","layername":"中压管线","length":0.10937357393880166},{"count":421,"geometrytype":"esriGeometryPolyline","layerdbname":"PIPESECTIONLP","layername":"低压管线","length":0.018160165053658743}]
             * xmax : 106.52148562800005
             * xmin : 106.50476845400004
             * ymax : 29.58796129800004
             * ymin : 29.579476493000072
             */

            private double xmax;
            private double xmin;
            private double ymax;
            private double ymin;
            private List<LayersummaryBean> layersummary;

            public double getXmax() {
                return xmax;
            }

            public void setXmax(double xmax) {
                this.xmax = xmax;
            }

            public double getXmin() {
                return xmin;
            }

            public void setXmin(double xmin) {
                this.xmin = xmin;
            }

            public double getYmax() {
                return ymax;
            }

            public void setYmax(double ymax) {
                this.ymax = ymax;
            }

            public double getYmin() {
                return ymin;
            }

            public void setYmin(double ymin) {
                this.ymin = ymin;
            }

            public List<LayersummaryBean> getLayersummary() {
                return layersummary;
            }

            public void setLayersummary(List<LayersummaryBean> layersummary) {
                this.layersummary = layersummary;
            }

            public static class LayersummaryBean {
                /**
                 * count : 9
                 * geometrytype : esriGeometryPoint
                 * layerdbname : VALVE
                 * layername : 阀门
                 * length : 0
                 */

                private int count;
                private String geometrytype;
                private String layerdbname;
                private String layername;
                private float length;

                public int getCount() {
                    return count;
                }

                public void setCount(int count) {
                    this.count = count;
                }

                public String getGeometrytype() {
                    return geometrytype;
                }

                public void setGeometrytype(String geometrytype) {
                    this.geometrytype = geometrytype;
                }

                public String getLayerdbname() {
                    return layerdbname;
                }

                public void setLayerdbname(String layerdbname) {
                    this.layerdbname = layerdbname;
                }

                public String getLayername() {
                    return layername;
                }

                public void setLayername(String layername) {
                    this.layername = layername;
                }

                public float getLength() {
                    return length;
                }

                public void setLength(float length) {
                    this.length = length;
                }
            }
        }
    }
}
